version: '3.1'

services:
  j3:
    image: joomla:3
    restart: always
    links:
      - j3db:mysql
    ports:
      - 8083:80
    environment:
      JOOMLA_DB_HOST: j3db
      JOOMLA_DB_PASSWORD: example

  j3db:
    image: mysql:5.6
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: example

  j4:
    image: joomla:4
    restart: always
    links:
      - j4db:mysql
    ports:
      - 8084:80
    environment:
      JOOMLA_DB_HOST: j4db
      JOOMLA_DB_PASSWORD: example

  j4db:
    image: mysql:5.6
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: example

  robot:
    image: registry.gitlab.com/boptec/robot/runchrome:latest
    volumes:
      - '.:/tests'
      - './results:/results'
    links:
      - j3db:mysql
      - j3:http
      - j4db:mysql
      - j4:http
    depends_on:
      - j4
      - j3
    entrypoint: [ "bash", "-x", "-c", "/tests/executa.sh" ]
#      - robot -d ./results -v BROWSER:headlesschrome tests/InstallJoomla.robot
